> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Replay outbound webhook delivery

Replay a webhook delivery by creating a new delivery based on the original. Unlike retry (which re-attempts a failed delivery), replay creates a NEW delivery record and can be used on any status.

` POST /v1/outbound-webhook/deliveries/{id}/replay `

Replay outbound webhook delivery

Replay a webhook delivery by creating a new delivery based on the original. Unlike retry (which re-attempts a failed delivery), replay creates a NEW delivery record and can be used on any status.

## Parameters

### ` id ` (path, required)

Original Delivery ID to replay

- ` value `: type ` string `

## Request body (optional)

Content type: ` application/json `

- ` value `: type ` object `

## Responses

### ` 200 ` — OK

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

    - example: ` 200 `

  - ` data `: type ` object `

    - ` createdAt `: type ` string `

    - ` durationMs `: type ` integer `

    - ` errorMessage `: type ` string `

    - ` id `: type ` string `

    - ` maxRetries `: type ` integer `

    - ` method `: type ` string `

    - ` nextRetryAt `: type ` string `

    - ` nodeId `: type ` string `

    - ` organizationId `: type ` string `

    - ` requestBody `: type ` object `

    - ` requestHeaders `: type ` object `

    - ` responseBody `: type ` string `

    - ` responseHeaders `: type ` object `

    - ` responseStatus `: type ` integer `

    - ` retryCount `: type ` integer `

    - ` runId `: type ` string `

    - ` status `: type ` string `

      - enum: ` ["pending","success","failure","retrying"] `

    - ` updatedAt `: type ` string `

    - ` url `: type ` string `

    - ` workflowId `: type ` string `

  - ` message `: type ` string `

    - example: ` "Success" `

  - ` requestId `: type ` string `

    - example: ` "req_abc123" `

### ` 400 ` — Bad Request

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

### ` 403 ` — Forbidden

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

### ` 404 ` — Not Found

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

## Request examples

### cURL

```curl
curl -X POST 'https://api.example.com/v1/outbound-webhook/deliveries/string/replay' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

### JavaScript

```javascript
const response = await fetch('https://api.example.com/v1/outbound-webhook/deliveries/string/replay', {
  method: 'POST',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json"
  },
  body: JSON.stringify({})
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.post('https://api.example.com/v1/outbound-webhook/deliveries/string/replay', headers=headers, json={})
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{}`)
	req, _ := http.NewRequest("POST", "https://api.example.com/v1/outbound-webhook/deliveries/string/replay", body)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
	req.Header.Set("Content-Type", "application/json")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```